package com.ipu.config.basic;

import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.io.ByteArrayInputStream;
import java.io.InputStream;

@Getter @Setter
@ToString(exclude = "content")
public class Resource {

    private Long id;
    private String name;
    private String namespace;
    private String content;
    private ResourceType resourceType;

    public InputStream getInputStream() {
        return null == content ? null : new ByteArrayInputStream(content.getBytes());
    }

    public String getStatementId() {
        return String.join(".", namespace, name);
    }
}
